## kcalcore 5.109.0

=== debian/changelog ===
kcalcore (5:5.109.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.109.0)

  [ José Manuel Santamaría Lema ]
  * Disable tests properly, they were supposed to be disabled but they were
    running anyway at build time

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:27 +0100

kcalcore (5:5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:17:55 +0100

kcalcore (5:5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:03:55 +0100

kcalcore (5:5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:43:31 +0100
