=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
