=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libical-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Git: https://invent.kde.org/neon/kde/kcalendarcore.git
Vcs-Browser: https://invent.kde.org/neon/kde/kcalendarcore
Maintainer: Neon CI <neon@kde.org>

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Depends: libical-dev (>= 0.42~),
         libkf5calendarcore5abi2 (= ${binary:Version}),
         ${misc:Depends}
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5calendarcore5 (<< ${source:Version}~ciBuild)
Replaces: libkf5calendarcore5
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.

Package: libkf5calendarcore5
Architecture: all
Depends: libkf5calendarcore5abi2, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
