## kcalcore 5.116.0+p24.04+vstable+git20250801.1338

=== debian/changelog ===
kcalcore (5:5.116.0+p24.04+vstable+git20250801.1338-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 13:38:42 +0000
