=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libical-dev (>= 0.42~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kcalcore.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kcalcore.git

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Depends: libical-dev (>= 0.42~),
         libkf5calendarcore5 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.19.0~),
         ${misc:Depends}
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
