## kcalcore 17.04.3

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libical-dev (>= 0.42~),
-               libkf5kdelibs4support-dev (>= 5.24.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
 
 Package: libkf5calendarcore-dev
 Section: libdevel
 Architecture: any
 Depends: libical-dev (>= 0.42~),
          libkf5calendarcore5 (= ${binary:Version}),
-         libkf5kdelibs4support-dev (>= 5.14.0~),
+         libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends}
 Description: development files for kcalcore
  This library provides access to and handling of calendar data.
