=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: bison,
+               cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libical-dev (>= 0.42~),
+               libical2-dev | libical-dev,
                libkf5kdelibs4support-dev (>= 5.31.0~),
+               pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
@@ -18,8 +20,8 @@
 Package: libkf5calendarcore-dev
 Section: libdevel
 Architecture: any
-Depends: libical-dev (>= 0.42~),
-         libkf5calendarcore5 (= ${binary:Version}),
+Depends: libical2-dev | libical-dev,
+         libkf5calendarcore5abi1 (= ${binary:Version}),
          libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends}
 Description: development files for kcalcore
@@ -29,7 +31,9 @@
  .
  This package contains the development files.
 
-Package: libkf5calendarcore5
+Package: libkf5calendarcore5abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5CalendarCore
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
